#!/bin/sh

if [ -e $HOME/.ontodella ]; then
    . $HOME/.ontodella
else
    # no .ontodella configuration file, use default values...
    ONTODELLA_HOME="$HOME/ontodella"     # $HOME = your home directory
fi

if [ -e $ONTODELLA_HOME/bin/run-onto.sh ]; then
    screen -d -m $ONTODELLA_HOME/bin/run-onto.sh $1 $2 $3 $4 $5 $6 $7 $8 $9
    echo "You can now attach to the prolog screen with: screen -d -r"
    echo "You can then deattach with: CTRL+a and d"
else
    echo "No such file $ONTODELLA_HOME/bin/run-onto.sh."
fi
  
