#!/usr/bin/perl

$rdfsns = "http://www.w3.org/TR/1999/PR-rdf-schema-19990303#";

@files = <*.rdf*>;
foreach $file (@files) {
   print "Processing $file...\n";
   open (IN, $file) or die ("couldn't open $file $!");
   $outfile = "";
   while($line=<IN>) {
      $line =~ s/(<\!ENTITY rdfs ')(.*?)('>)/$1$rdfsns$3/i;
      $outfile .= $line;
   }
   close(IN);
   open(OUT, ">".$file) or die ("Couldn't open $file for writing $!");
   print OUT $outfile;
   close(OUT);
}

